Bug 178818 - Admin Server modules must support Apache 2.2
Admin Server modules must support Apache 2.2
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Admin (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
1.0.2
:
Depends On:
Blocks: 183369
  Show dependency treegraph
 
Reported: 2006-01-24 11:28 EST by Rich Megginson
Modified: 2015-12-07 12:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 12:10:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diffs for mod_admserv (7.70 KB, text/plain)
2006-01-31 12:35 EST, Rich Megginson
no flags Details
Diffs for mod_nss (3.04 KB, text/plain)
2006-01-31 12:35 EST, Rich Megginson
no flags Details
diffs for mod_restartd (4.49 KB, text/plain)
2006-01-31 12:39 EST, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2006-01-24 11:28:42 EST
The file most affected seems to be mod_restartd.c since it is a copy of
mod_cgid.c from the core httpd code.  Apache 2.2 is the default with FC5 (and
RHEL5).
Comment 1 Rich Megginson 2006-01-31 12:35:02 EST
Created attachment 123924 [details]
diffs for mod_admserv

Diffs for mod_admserv Makefile.am and configure.in
Comment 2 Rich Megginson 2006-01-31 12:35:45 EST
Created attachment 123925 [details]
Diffs for mod_nss

Diffs for mod_nss configure.in
Comment 3 Rich Megginson 2006-01-31 12:39:06 EST
Created attachment 123927 [details]
diffs for mod_restartd

Diffs for mod_restartd configure.in and Makefile.am
Comment 4 Jenny Galipeau 2011-06-06 14:45:03 EDT
Please add steps to reproduce and verify thanks
Comment 5 Rich Megginson 2011-06-06 15:56:48 EDT
1) install redhat-ds or 389-ds (not just 389-ds-base) on a system that has Apache 2.2 (rpm -qi httpd returns Version: 2.2.x)
2) verify that admin express and console login works
Comment 6 Amita Sharma 2011-06-17 09:36:29 EDT
[root@rhel61 dirsrv]# rpm -qi httpd
Name        : httpd                        Relocations: (not relocatable)
Version     : 2.2.15                            Vendor: Red Hat, Inc.
Release     : 9.el6                         Build Date: Sat 09 Apr 2011 06:30:13 PM IST
Install Date: Wed 01 Jun 2011 06:00:29 PM IST      Build Host: x86-010.build.bos.redhat.com
Group       : System Environment/Daemons    Source RPM: httpd-2.2.15-9.el6.src.rpm
Size        : 3056498                          License: ASL 2.0
Signature   : RSA/8, Fri 22 Apr 2011 01:17:47 AM IST, Key ID 199e2f91fd431d51
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://httpd.apache.org/
Summary     : Apache HTTP Server
Description :
The Apache HTTP Server is a powerful, efficient, and extensible
web server.

[root@rhel61 dirsrv]# yum install 389-ds
Loaded plugins: product-id, subscription-manager
Updating Red Hat repositories.
DS90                                                                                                                                  | 4.0 kB     00:00     
DS90devel                                                                                                                             | 3.8 kB     00:00     
Dep_DS90                                                                                                                              | 4.0 kB     00:00     
RHEL6_64                                                                                                                              | 4.0 kB     00:00     
Setting up Install Process
Package 389-ds-1.2.1-2.el6.noarch already installed and latest version
Nothing to do

2. Yes both are working fine for me, hence marking as VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.